summaryrefslogtreecommitdiff
path: root/tests/misc/chcon-fail.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/chcon-fail.sh')
-rwxr-xr-xtests/misc/chcon-fail.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/tests/misc/chcon-fail.sh b/tests/misc/chcon-fail.sh
index 48c3fcdfc..5265fa011 100755
--- a/tests/misc/chcon-fail.sh
+++ b/tests/misc/chcon-fail.sh
@@ -22,16 +22,16 @@ print_ver_ chcon
# neither context nor file
-chcon 2> /dev/null && fail=1
+returns_ 1 chcon 2> /dev/null || fail=1
# No file
-chcon CON 2> /dev/null && fail=1
+returns_ 1 chcon CON 2> /dev/null || fail=1
# No file
touch f
-chcon --reference=f 2> /dev/null && fail=1
+returns_ 1 chcon --reference=f 2> /dev/null || fail=1
# No file
-chcon -u anyone 2> /dev/null && fail=1
+returns_ 1 chcon -u anyone 2> /dev/null || fail=1
Exit $fail